Bug 632858 - Review Request: emacs-slime - The superior lisp interaction mode for emacs
Review Request: emacs-slime - The superior lisp interaction mode for emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-11 10:13 EDT by Arun S A G
Modified: 2012-09-23 10:15 EDT (History)
6 users (show)

See Also:
Fixed In Version: emacs-slime-3.0-0.1.20101113cvs.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 15:29:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Arun S A G 2010-09-11 10:13:11 EDT
Spec URL: http://sagarun.fedorapeople.org/SPECS/emacs-slime.spec
SRPM URL: http://sagarun.fedorapeople.org/SRPMS/emacs-slime-1.2-1.fc13.src.rpm
Description: 
SLIME is a emacs mode for common Lisp development.

Notes:
I am not able to determine the correct version of this package.
Contributed addons are not included.
Comment 1 Hicham HAOUARI 2010-09-30 07:23:57 EDT
Since you are taking a snapshot, you should mention that in the release tag.
Comment 4 Arun S A G 2010-10-16 11:15:37 EDT
ping.
Comment 5 Michel Alexandre Salim 2010-11-08 18:32:38 EST
Hi Arun,

I'm not sure about the version number. I use SLIME from the Emacs ELPA repository myself, and the version has always just been the release date.

Likewise, connecting to SLIME just displays "SLIME 20100404" (in the case of the last version pushed to ELPA).

From the NEWS file, the version number would actually be somewhere between 2.0 (April 2006) and 3.0 (not released yet). The 1.2 version number you get, it looks like it comes from mkdist.sh, but if you do 'cvs log mkdist.sh' you'll find that the version number was last updated on 2005-04-18 (thus the low version number).

The last branch name is SLIME-2-1 so I'm guessing you could use:

%global alphatag 20100930cvs

Version: 2.1
Release: 1.%{alphatag}%{?dist} <-- note the %{?dist} should be at the end
                                   of the release field

The rest of the package looks good. It's getting late here so I'll sleep on it and give you a full review tomorrow.
Comment 6 Michel Alexandre Salim 2010-11-12 13:11:00 EST
#+TODO: TODO(t) WAIT(w@/!) FAIL(f@) | DONE(d) N/A(n)

* TODO Review [33%]
** DONE Names [2/2]
*** DONE Package name
*** DONE Spec name
** WAIT Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
   Not sure this package is usable:
   - M-x slime-info does not work
   - the emacs-slime-init.el file is incorrect:
     inferior-lisp-program is seto to a path; should be a binary
   
   Ideally this really should be a drop-in replacement for someone who
   has swank installed from ELPA

   of course, I could just have the wrong set-up; could you describe
   how you configure Emacs? If there's anything non-standard it should
   probably be documented in a README.Fedora file

** FAIL source files match upstream
   Latest available snapshot is from Nov 12,
   MD5 sum: 7c155ea3ded179830baf58f232858e58
** TODO License [2/3]
*** DONE License is Fedora-approved
*** FAIL License field accurate
    License should be "Public Domain and GPLv3+ and GPLv2+ and LLGPL";
    please put a comment above the license field describing which
    files fall under which license:
    - default licensing is Public Domain (see README)
    - slime-autoloads is GPLv2+ (seriously, for such a small file *shakes head*)
    - swank-ccl is LLGPL
    - many files in contrib are GPL (same as Emacs). Meaning GPLv3+
    
*** DONE License included iff packaged by upstream
    However, please talk to upstream about bundling the license texts for
    GPLv3+ and LLGPL, rather than just refering to packages that contain them
    
** DONE rpmlint [2/2]
*** DONE on src.rpm
    clean:
    $ rpmlint ../SRPMS/emacs-slime-1.2-2.fc13.20100930cvs.src.rpm 
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.

*** DONE on noarch.rpm
    $ rpmlint ~/Downloads/emacs-slime-1.2-2.fc14.20100930cvs.noarch.rpm 
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.

** TODO Language & locale [2/3]
*** FAIL Spec in US English
    - State "FAIL"       from "TODO"       [2010-11-12 Fri 18:35] \\
      Some issues:
      - summary: while I understand you don't want to overcapitalize everything and
        make it look like an advertisement, Lisp and Emacs should have their
        initial letters capitalized because they are proper nouns
      - version-release tags should be fixed. the latest snapshot is a
	pre-release of 3.0-alpha according to slime.info, so
	V-R should be 3.0-0.X.alpha.20101112cvs%{?dist}
	see http://fedoraproject.org/wiki/Packaging:NamingGuidelines#NonNumericRelease
*** DONE Spec legible
*** N/A Use %find_lang to handle locale files
** DONE Build [3/3]
*** DONE Koji results
    $ rpmlint ~/Downloads/emacs-slime-1.2-2.fc14.20100930cvs.noarch.rpm 
    1 packages and 0 specfiles checked; 0 errors, 0 warnings.
*** DONE BRs complete
*** DONE Directory ownership
** TODO Spec inspection [7/10]
*** DONE No duplicate files
*** DONE File permissions
*** DONE Filenames must be UTF-8
*** WAIT no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting EPEL5]])
    BuildRoot not necessary unless you plan to build for RHEL 5.
    Not fatal, though; ignore this
*** DONE Has %clean section
    (except F-13+:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean)
*** DONE %buildroot cleaned on %install
*** DONE Macro usage consistent
*** DONE Documentation [2/2]
**** N/A If large docs, separate -doc
**** DONE %doc files are non-essential
Comment 7 Michel Alexandre Salim 2010-11-12 13:25:02 EST
(In reply to comment #6)
>
>    Ideally this really should be a drop-in replacement for someone who
>    has swank installed from ELPA
> 
>    of course, I could just have the wrong set-up; could you describe
>    how you configure Emacs? If there's anything non-standard it should
>    probably be documented in a README.Fedora file
>
OK, this part is not so bad. The main problem is the incorrect initialization file; I suggest that you drop the init file completely, since there's no way we know in advance what Lisp interpreter to tell Swank to use, and without a valid
setting, slime-setup would do the wrong thing.

The setup instructions in the README should be sufficient to set up Slime to do
something useful; the init file will just be a red herring since it does most of
what the README recommends but set the wrong interpreter
Comment 9 Michel Alexandre Salim 2010-11-14 14:21:24 EST
Changes look good. APPROVED
Comment 10 Arun S A G 2010-11-15 05:35:33 EST
Package Name: emacs-slime
Short Description: The superior lisp interaction mode for emacs
Owners: sagarun
Branches: f13 f14
InitialCC:
Comment 11 Jason Tibbitts 2010-11-22 08:54:13 EST
The script does not find a valid request to process.  Please do not deviate
from the templates given in
http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 12 Arun S A G 2010-11-22 09:29:56 EST
New Package SCM Request
=======================
Package Name: emacs-slime
Short Description: The superior lisp interaction mode for emacs
Owners: sagarun
Branches: f13 f14
Comment 13 Jason Tibbitts 2010-11-22 10:26:51 EST
Git done (by process-git-requests).
Comment 14 Michel Alexandre Salim 2010-12-01 09:55:38 EST
Arun, are there any problems with building the packages?
Comment 15 Fedora Update System 2010-12-01 12:29:24 EST
emacs-slime-3.0-0.1.20101113cvs.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-slime-3.0-0.1.20101113cvs.fc13
Comment 16 Fedora Update System 2010-12-01 12:29:31 EST
emacs-slime-3.0-0.1.20101113cvs.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-slime-3.0-0.1.20101113cvs.fc14
Comment 17 Arun S A G 2010-12-01 12:55:10 EST
(In reply to comment #14)
> Arun, are there any problems with building the packages?

No. I was little busy with my day job :)
Comment 18 Fedora Update System 2010-12-02 14:15:06 EST
emacs-slime-3.0-0.1.20101113cvs.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs-slime'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/emacs-slime-3.0-0.1.20101113cvs.fc14
Comment 19 Fedora Update System 2010-12-10 15:29:17 EST
emacs-slime-3.0-0.1.20101113cvs.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2010-12-10 15:34:24 EST
emacs-slime-3.0-0.1.20101113cvs.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Narasimhan 2012-09-23 08:12:39 EDT
Package Change Request
======================
Package Name: emacs-slime
New Branches: el6
Owners: narasim
Comment 22 Gwyn Ciesla 2012-09-23 10:15:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.